/** 
 *   kdp2dbz_func: Transformacion de los datos en KDP a dBZ
 *
 *   (c) Copyright 2010 Federico Bareilles <bareilles@gmail.com>,
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *   
 **/

#ifndef _KDP2DBZ_FUNC_H
#define _KDP2DBZ_FUNC_H

struct param_KDP2dBZ  {
	double a;
	double b;
	double c;
	double min;
	double max;
	int autoescale;
};

#define DBZ_MIN  -31.5
#define DBZ_MAX   95.5

int proc_rawdata_0(struct blob *bl, void *parameters);

#endif /* ifndef _KDP2DBZ_FUNC_H */
